This is an MCP server which provides tools to Pay developers.
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Google Pay & Wallet Developer MCP server API MCP server has the following global MCP endpoint:
- https://paydeveloper.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The paydeveloper.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
search_documentation |
Searches and retrieves the most relevant, up-to-date sections from the official Google Pay and Google Wallet developer documentation and code samples. |
list_merchants |
Retrieves a comprehensive list of all Google Pay merchants associated with the authenticated account. Depending on the user's role on a merchant, admins can view full detailed merchant information, while developers can only view basic merchant information. |
list_google_pay_integrations |
Returns the current status and configuration details for all Google Pay integrations associated with a specific Merchant ID. It provides immediate feedback on the status of integration and document reviews. Additionally, you MUST inform the user that the integration can be created/updated in the Google Pay & Wallet Console (https://pay.google.com/business/console/). |
create_merchant |
Creates a new merchant with the authenticated account. You MUST ask the user to provide the required information for merchant creation. One of the required fields is the Merchant Category Code (MCC). Since the list of MCCs is long, you may present a subset of common options, but you MUST inform the user that more options are available and they can ask for the full list (e.g. by showing "X more options" or similar hint). Additionally, inform the user that they can directly provide the 4-digit MCC code (e.g., 5499) if they already know it, and encourage them to use it. Do not call this tool until you have attempted to collect the required information for merchant creation. After the merchant is created, you MUST present the Business Console Terms of Service URL to the user and instruct them to accept it before they can perform any operations on this merchant. |
list_pass_issuers |
Retrieves a comprehensive list of all pass issuers registered in the Google Wallet business console associated with the authenticated user. This tool provides essential information for developers managing Wallet passes like loyalty cards, gift cards, or flights. |
list_pass_classes |
Retrieves a comprehensive list of all pass classes registered in the Google Wallet business console associated with the authenticated user. This tool provides essential information for developers managing Wallet passes like loyalty cards, gift cards, or flights. |
validate_pass_jwt |
Validates the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass. |
query_merchant_performance |
Retrieves high-level aggregated performance data and post-integration metrics for a specific merchant business profile. |
query_merchant_error_metrics |
Retrieves detailed error metrics for a specific merchant business profile. This tool provides a granular breakdown of errors, allowing developers to pinpoint and resolve issues. |
update_merchant |
Updates specific fields of an existing merchant. Supported fields include display_name, mcc, corporate_website_url, customer_support_website_url, customer_support_email, and customer_support_phone. |
list_principals |
Lists the principals (users) that have access to a specific merchant. This operation requires Admin access for the merchant. |
set_principal_role |
Sets the role of a principal (user) on a merchant, or adds a new principal with the specified role. The principal is sent an email invitation and must accept it before their access becomes active. This operation requires Admin access for the merchant. |
delete_principal |
Deletes a principal's (user's) access to a specific merchant. This operation requires Admin access for the merchant. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |